{#
/**
 * @file
 * Theme override to display a menu.
 *
 * Available variables:
 * - menu_name: The machine name of the menu.
 * - items: A nested list of menu items. Each menu item contains:
 *   - attributes: HTML attributes for the menu item.
 *   - below: The menu item child items.
 *   - title: The menu link title.
 *   - url: The menu link url, instance of \Drupal\Core\Url
 *   - localized_options: Menu link localized options.
 *   - is_expanded: TRUE if the link has visible children within the current
 *     menu tree.
 *   - is_collapsed: TRUE if the link has children within the current menu tree
 *     that are not currently visible.
 *   - in_active_trail: TRUE if the link is in the active trail.
 */
#}
<nav class="navbar navbar-expand-lg navbar-light">
  <div class="container-fluid">
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarMenuMain" aria-controls="navbarMenuMain" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarMenuMain">
    {% import _self as menus %}
    {{ menus.menu_links(items, attributes, 0) }}

    {% macro menu_links(items, attributes, menu_level) %}
      {% import _self as menus %}
      {% if items %}
        {% if menu_level == 0 %}
          <ul{{ attributes.addClass('navbar-nav') }}>
        {% else %}
          <ul class="dropdown-menu" >
        {% endif %}
        {% for item in items %}
          {% if item.is_expanded == 1 %}
          <li{{ item.attributes.addClass('nav-item dropdown') }}>
            {{ link(item.title, item.url, { 
            'class':['nav-link', 'dropdown-toggle'],
            'role':['button'],
            'data-bs-toggle': ['dropdown'],
            'aria-expanded': ['false']
            }) }}

            {% if item.below %}
              {{ menus.menu_links(item.below, attributes, menu_level + 1) }}
            {% endif %}
          </li>
          {% else %}
          <li{{ item.attributes.addClass('nav-item') }}>
            {{ link(item.title, item.url, { 'class':['nav-link']}) }}
            {% if item.below %}
              {{ menus.menu_links(item.below, attributes, menu_level + 1) }}
            {% endif %}
          </li>
          {% endif %}

        {% endfor %}
        </ul>
      {% endif %}
    {% endmacro %}
    </div>
  </div>
</nav>
